Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.jca.ra
Interface JEConnection

    public interface JEConnection

A JEConnection provides access to JE services. See <JEHOME>/examples/jca/HOWTO-**.txt and <JEHOME>/examples/jca/simple/SimpleBean.java for more information on how to build the resource adaptor and use a JEConnection.

Method Summary
`void` | `close()`
`Environment` | `getEnvironment()`
`JELocalTransaction` | `getLocalTransaction()`
`Transaction` | `getTransaction()`
`Database` | `openDatabase(String name, DatabaseConfig config)`
`SecondaryDatabase` | `openSecondaryDatabase(String name, Database primaryDatabase, SecondaryConfig config)`
`void` | `removeDatabase(String databaseName)`
`void` | `setLocalTransaction(JELocalTransaction txn)`
`void` | `setManagedConnection(JEManagedConnection mc, JELocalTransaction lt)`
`long` | `truncateDatabase(String databaseName, boolean returnCount)`

Method Detail

### setManagedConnection

    void setManagedConnection(JEManagedConnection mc,
                              JELocalTransaction lt)

### getLocalTransaction

    JELocalTransaction getLocalTransaction()

### setLocalTransaction

    void setLocalTransaction(JELocalTransaction txn)

### getEnvironment

    Environment getEnvironment()
                               throws ResourceException

  Throws:
    `ResourceException`

### openDatabase

    Database openDatabase(String name,
                          DatabaseConfig config)
                          throws DatabaseException

  Throws:
    `DatabaseException`

### openSecondaryDatabase

    SecondaryDatabase openSecondaryDatabase(String name,
                                            Database primaryDatabase,
                                            SecondaryConfig config)
                                            throws DatabaseException

  Throws:
    `DatabaseException`

### removeDatabase

    void removeDatabase(String databaseName)
                        throws DatabaseException

  Throws:
    `DatabaseException`

### truncateDatabase

    long truncateDatabase(String databaseName,
                          boolean returnCount)
                          throws DatabaseException

  Throws:
    `DatabaseException`

### getTransaction

    Transaction getTransaction()
                               throws ResourceException

  Throws:
    `ResourceException`

### close

    void close()
               throws JEException

  Throws:
    `JEException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996,2008 Oracle. All rights reserved.